### Method

# FwupdPlugin Device get_possible_plugins

since: 1.3.3

#### Declaration [src]

    GPtrArray*
    fu_device_get_possible_plugins (
      FuDevice* self
    )

#### Description [src]

Gets the list of possible plugin names, typically added from quirk files.

Available since: 1.3.3

#### Return value

Type: An array of `utf8`

Plugin names.

The caller of the method takes ownership of the returned data container, but not the data inside it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.